﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GridView;
using Telerik.Windows.Controls.TreeListView;

namespace RadGridView_WPF_AR_1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private static Point clickPos;

        public MainWindow()
        {
            InitializeComponent();
        }

        private void clubsGrid_SelectionChanged(object sender, SelectionChangeEventArgs e)
        {
            if (clickPos != null)
            {
                RadWindow window = new RadWindow();
                window.Width = 200;
                window.Height = 300;
                window.Top = clickPos.Y;
                window.Left = clickPos.X;
                window.WindowStartupLocation = System.Windows.WindowStartupLocation.Manual;
                window.Content = new RadGridView() 
                {
                    ItemsSource = e.AddedItems 
                };

                window.Show();
            }
            
        }

        private void clubsGrid_PreviewMouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            clickPos = e.GetPosition((e.Source as RadTreeListView).ParentOfType<Window>());
        }
    }
}
